<?php
/**
 * Configuration entries for this application only
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0
 * @copyright	Copyright (c) 2007 - 2008 Roland Haeder, 2009 - 2015 Hub Developer Team
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Some hub-specific configuration like port hostname where we will listen, etc.
$cfg = FrameworkConfiguration::getSelfInstance();

// CFG: NODE-LISTEN-ADDR
$cfg->setConfigEntry('node_listen_addr', '0.0.0.0');

// CFG: NODE-LISTEN-PORT
$cfg->setConfigEntry('node_listen_port', 9060);

// CFG: NODE-DEFAULT-MODE (can be 'regular', 'list', 'master' or 'boot', default is 'regular')
$cfg->setConfigEntry('node_default_mode', 'regular');

// CFG: ENABLE-FEATURE-HUBCOIN-REWARD
$cfg->setConfigEntry('enable_feature_hubcoin_reward', 'Y');

// CFG: FEATURE-HUBCOIN-REWARD-CLASS
$cfg->setConfigEntry('feature_hubcoin_reward_class', 'HubcoinRewardFeature');

// CFG: TEMPLATE-ENGINE
$cfg->setConfigEntry('tpl_engine', 'ConsoleOutput');

// CFG: OUTPUT-CLASS
$cfg->setConfigEntry('output_class', 'DebugConsoleOutput');

// CFG: NODE-INFO-DB-WRAPPER-CLASS
$cfg->setConfigEntry('node_info_db_wrapper_class', 'NodeInformationDatabaseWrapper');

// CFG: NODE-DHT-DB-WRAPPER-CLASS
$cfg->setConfigEntry('node_dht_db_wrapper_class', 'NodeDistributedHashTableDatabaseWrapper');

// CFG: NODE-DHT-LIST-LIMIT
$cfg->setConfigEntry('node_dht_list_limit', 20);

// CFG: PEER-LOOKUP-DB-WRAPPER-CLASS
$cfg->setConfigEntry('peer_state_lookup_db_wrapper_class', 'PeerStateLookupDatabaseWrapper');

// CFG: WEB-CONTENT-TYPE
$cfg->setConfigEntry('web_content_type', '');

// CFG: LISTENER-POOL-CLAS
$cfg->setConfigEntry('listener_pool_class', 'DefaultListenerPool');

// CFG: TCP-LISTENER-CLASS
$cfg->setConfigEntry('tcp_listener_class', 'TcpListener');

// CFG: UDP-LISTENER-CLASS
$cfg->setConfigEntry('udp_listener_class', 'UdpListener');

// CFG: NODE-TCP-LISTENER-CLASS
$cfg->setConfigEntry('node_tcp_listener_class', 'HubTcpListenerDecorator');

// CFG: NODE-UDP-LISTENER-CLASS
$cfg->setConfigEntry('node_udp_listener_class', 'HubUdpListenerDecorator');

// CFG: CLIENT-TCP-LISTENER-CLASS
$cfg->setConfigEntry('client_tcp_listener_class', 'ClientTcpListenerDecorator');

// CFG: CLIENT-UDP-LISTENER-CLASS
$cfg->setConfigEntry('client_udp_listener_class', 'ClientUdpListenerDecorator');

// CFG: NODE-POOL-CLASS
$cfg->setConfigEntry('node_pool_class', 'DefaultPeerPool');

// CFG: POOL-ENTRIES-LIST-CLASS
$cfg->setConfigEntry('pool_entries_list_class', 'PoolEntriesList');

// CFG: SHUTDOWN-POOL-ITERATOR-CLASS
$cfg->setConfigEntry('shutdown_pool_iterator_class', 'ShutdownPoolIterator');

// CFG: HANDLER-POOL-ITERATOR-CLASS
$cfg->setConfigEntry('handler_pool_iterator_class', 'HandlerPoolIterator');

// CFG: NETWORK-LISTEN-ITERATOR-CLASS
$cfg->setConfigEntry('network_listen_iterator_class', 'NetworkListenIterator');

// CFG: TCP-RAW-DATA-HANDLER-CLASS
$cfg->setConfigEntry('tcp_raw_data_handler_class', 'TcpRawDataHandler');

// CFG: UDP-RAW-DATA-HANDLER-CLASS
$cfg->setConfigEntry('udp_raw_data_handler_class', 'UdpRawDataHandler');

// CFG: SHUTDOWN-LISTENER-POOL-VISITOR-CLASS
$cfg->setConfigEntry('shutdown_listener_pool_visitor_class', 'ShutdownListenerPoolVisitor');

// CFG: SHUTDOWN-SOCKET-VISITOR-CLASS
$cfg->setConfigEntry('shutdown_socket_visitor_class', 'ShutdownSocketVisitor');

// CFG: HALF-SHUTDOWN-SOCKET-VISITOR-CLASS
$cfg->setConfigEntry('half_shutdown_socket_visitor_class', 'HalfShutdownSocketVisitor');

// CFG: NODE-RAW-DATA-MONITOR-VISITOR-CLASS
$cfg->setConfigEntry('node_raw_data_monitor_visitor_class', 'RawDataPoolMonitorVisitor');

// CFG: NODE-ANNOUNCEMENT-HELPER-CLASS
$cfg->setConfigEntry('node_announcement_helper_class', 'NodeAnnouncementHelper');

// CFG: NODE-SELF-CONNECT-HELPER-CLASS
$cfg->setConfigEntry('node_self_connect_helper_class', 'NodeSelfConnectHelper');

// CFG: DHT-BOOTSTRAP-HELPER-CLASS
$cfg->setConfigEntry('dht_bootstrap_helper_class', 'DhtBootstrapHelper');

// CFG: DHT-PUBLISH-ENTRY-HELPER-CLASS
$cfg->setConfigEntry('dht_publish_entry_helper_class', 'DhtPublishEntryHelper');

// CFG: DEFAULT-CONSOLE-COMMAND
$cfg->setConfigEntry('default_console_command', 'main');

// CFG: DEFAULT-HUB-CONSOLE-COMMAND
$cfg->setConfigEntry('default_hub_console_command', 'main');

// CFG: HUB-CONSOLE-CMD-MAIN-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_main_resolver_class', 'HubConsoleCommandResolver');

// CFG: NETWORK-STATE-RESOLVER-CLASS
$cfg->setConfigEntry('network_state_resolver_class', 'NetworkStateResolver');

// CFG: NEWS-DOWNLOAD-FILTER
$cfg->setConfigEntry('news_download_filter', 'NewsDownloadFilter');

// CFG: NEWS-PROCESS-FILTER
$cfg->setConfigEntry('news_process_filter', 'NewsProcessFilter');

// CFG: NODE-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('node_php_requirements_filter', 'NodePhpRequirementsFilter');

// CFG: NODE-INITIALIZER-FILTER
$cfg->setConfigEntry('node_initializer_filter', 'NodeInitializationFilter');

// CFG: NODE-ACTIVATION-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('node_activation_task_handler_initializer_filter', 'NodeTaskHandlerInitializerFilter');

// CFG: NODE-ACTIVATION-ANNOUNCEMENT-TASK-FILTER
$cfg->setConfigEntry('node_activation_announcement_task_filter', 'NodeActivationAnnouncementFilter');

// CFG: NODE-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('node_welcome_teaser_filter', 'NodeWelcomeTeaserFilter');

// CFG: NODE-BOOTSTRAP-GENERATE-NODEID-FILTER
$cfg->setConfigEntry('node_bootstrap_generate_nodeid_filter', 'NodeBootstrapGenerateNodeIdFilter');

// CFG: NODE-BOOTSTRAP-GENERATE-SESSIONID-FILTER
$cfg->setConfigEntry('node_bootstrap_generate_sessionid_filter', 'NodeBootstrapGenerateSessionIdFilter');

// CFG: NODE-BOOTSTRAP-GENERATE-PRIVATE-KEY-FILTER
$cfg->setConfigEntry('node_bootstrap_generate_private_key_filter', 'NodeBootstrapGeneratePrivateKeyFilter');

// CFG: NODE-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('node_bootstrap_extra_bootstrapping_filter', 'NodeBootstrapExtraBootstrappingFilter');

// CFG: NODE-BOOTSTRAP-LISTENER-POOL-FILTER
$cfg->setConfigEntry('node_bootstrap_listener_pool_filter', 'NodeBootstrapListenerPoolFilter');

// CFG: NODE-SHUTDOWN-FLUSH-NODE-LIST-FILTER
$cfg->setConfigEntry('node_shutdown_flush_node_list_filter', 'NodeShutdownFlushNodeListFilter');

// CFG: NODE-SHUTDOWN-TASK-HANDLER-FILTER
$cfg->setConfigEntry('node_shutdown_task_handler_filter', 'NodeShutdownTaskHandlerFilter');

// CFG: NODE-SHUTDOWN-NODE-FILTER
$cfg->setConfigEntry('node_shutdown_node_filter', 'NodeShutdownNodeFilter');

// CFG: PACKAGE-FILTER-CHAIN-CLASS
$cfg->setConfigEntry('package_filter_chain_class', 'PackageFilterChain');

// CFG: PACKAGE-TAG-ANNOUNCEMENT-FILTER
$cfg->setConfigEntry('package_tag_announcement_filter', 'PackageAnnouncementTagFilter');

// CFG: PACKAGE-TAG-ANNOUNCEMENT-ANSWER-FILTER
$cfg->setConfigEntry('package_tag_announcement_answer_filter', 'PackageAnnouncementAnswerTagFilter');

// CFG: PACKAGE-TAG-DHT-BOOTSTRAP-ANSWER-FILTER
$cfg->setConfigEntry('package_tag_dht_bootstrap_answer_filter', 'PackageDhtBootstrapAnswerTagFilter');

// CFG: PACKAGE-TAG-SELF-CONNECT-FILTER
$cfg->setConfigEntry('package_tag_self_connect_filter', 'PackageSelfConnectTagFilter');

// CFG: PACKAGE-TAG-REQUEST-NODE-LIST-FILTER
$cfg->setConfigEntry('package_tag_request_node_list_filter', 'PackageRequestNodeListTagFilter');

// CFG: PACKAGE-TAG-REQUEST-NODE-LIST-ANSWER-FILTER
$cfg->setConfigEntry('package_tag_request_node_list_answer_filter', 'PackageRequestNodeListAnswerTagFilter');

// CFG: PACKAGE-TAG-DHT-BOOTSTRAP-FILTER
$cfg->setConfigEntry('package_tag_dht_bootstrap_filter', 'PackageDhtBootstrapTagFilter');

// CFG: MESSAGE-TYPE-ANNOUNCEMENT-HANDLER-CLASS
$cfg->setConfigEntry('message_type_announcement_handler_class', 'NodeMessageAnnouncementHandler');

// CFG: MESSAGE-TYPE-ANNOUNCEMENT-ANSWER-HANDLER-CLASS
$cfg->setConfigEntry('message_type_announcement_answer_handler_class', 'NodeMessageAnnouncementAnswerHandler');

// CFG: MESSAGE-TYPE-DHT-BOOTSTRAP-ANSWER-HANDLER-CLASS
$cfg->setConfigEntry('message_type_dht_bootstrap_answer_handler_class', 'NodeMessageDhtBootstrapAnswerHandler');

// CFG: MESSAGE-TYPE-SELF-CONNECT-HANDLER-CLASS
$cfg->setConfigEntry('message_type_self_connect_handler_class', 'NodeMessageSelfConnectHandler');

// CFG: MESSAGE-TYPE-REQUEST-NODE-LIST-HANDLER-CLASS
$cfg->setConfigEntry('message_type_request_node_list_handler_class', 'NodeMessageRequestNodeListHandler');

// CFG: MESSAGE-TYPE-REQUEST-NODE-LIST-ANSWER-HANDLER-CLASS
$cfg->setConfigEntry('message_type_request_node_list_answer_handler_class', 'NodeMessageRequestNodeListAnswerHandler');

// CFG: MESSAGE-TYPE-DHT-BOOTSTRAP-HANDLER-CLASS
$cfg->setConfigEntry('message_type_dht_bootstrap_handler_class', 'NodeMessageDhtBootstrapHandler');

// CFG: NODE-ANSWER-MESSAGE-ANNOUNCEMENT-HELPER-CLASS
$cfg->setConfigEntry('node_answer_message_announcement_helper_class', 'NodeAnnouncementMessageAnswerHelper');

// CFG: NODE-ANSWER-MESSAGE-REQUEST-NODE-LIST-HELPER-CLASS
$cfg->setConfigEntry('node_answer_message_request_node_list_helper_class', 'NodeRequestNodeListMessageAnswerHelper');

// CFG: NODE-ANSWER-MESSAGE-ANNOUNCEMENT-HELPER-CLASS
$cfg->setConfigEntry('node_answer_message_dht_bootstrap_helper_class', 'NodeDhtBootstrapMessageAnswerHelper');

// CFG: NODE-NEXT-ANNOUNCEMENT-ANSWER-OKAY-HELPER-CLASS
$cfg->setConfigEntry('node_next_announcement_answer_okay_helper_class', 'NodeRequestNodeListHelper');

// CFG: NEWS-READER-MAIN-CLASS
$cfg->setConfigEntry('news_reader_main_class', 'ConsoleNewsReader');

// CFG: NODE-ANNOUNCEMENT-TEMPLATE-CLASS
$cfg->setConfigEntry('node_announcement_template_class', 'XmlAnnouncementTemplateEngine');

// CFG: NODE-ANNOUNCEMENT-ANSWER-TEMPLATE-CLASS
$cfg->setConfigEntry('node_announcement_answer_template_class', 'XmlAnnouncementAnswerTemplateEngine');

// CFG: NODE-REQUEST-NODE-LIST-TEMPLATE-CLASS
$cfg->setConfigEntry('node_request_node_list_template_class', 'XmlRequestNodeListTemplateEngine');

// CFG: NODE-DHT-BOOTSTRAP-TEMPLATE-CLASS
$cfg->setConfigEntry('node_dht_bootstrap_template_class', 'XmlDhtBootstrapTemplateEngine');

// CFG: NODE-DHT-BOOTSTRAP-ANSWER-TEMPLATE-CLASS
$cfg->setConfigEntry('node_dht_bootstrap_answer_template_class', 'XmlDhtBootstrapAnswerTemplateEngine');

// CFG: NODE-REQUEST-NODE-LIST-ANSWER-TEMPLATE-CLASS
$cfg->setConfigEntry('node_request_node_list_answer_template_class', 'XmlRequestNodeListAnswerTemplateEngine');

// CFG: NODE-REQUEST-NODE-LIST-ENTRIES-TEMPLATE-CLASS
$cfg->setConfigEntry('node_request_node_list_entries_template_class', 'XmlRequestNodeListEntryTemplateEngine');

// CFG: DHT-BOOTSTRAP-TEMPLATE-CLASS
$cfg->setConfigEntry('dht_bootstrap_template_class', 'XmlDhtBootstrapTemplateEngine');

// CFG: DHT-PUBLISH-ENTRY-TEMPLATE-CLASS
$cfg->setConfigEntry('dht_publish_entry_template_class', 'XmlDhtPublishEntryTemplateEngine');

// CFG: NODE-MESSAGE-TEMPLATE-EXTENSION
$cfg->setConfigEntry('node_message_template_extension', '.xml');

// CFG: DHT-MESSAGE-TEMPLATE-EXTENSION
$cfg->setConfigEntry('dht_message_template_extension', '.xml');

// CFG: NODE-ANNOUNCEMENT-ANSWER-TEMPLATE-EXTENSION
$cfg->setConfigEntry('node_announcement_answer_template_extension', '.xml');

// CFG: NODE-ANNOUNCEMENT-TEMPLATE-TYPE
$cfg->setConfigEntry('node_announcement_template_type', 'xml/announcement');

// CFG: NODE-ANNOUNCEMENT-STACKER-CLASS
$cfg->setConfigEntry('node_announcement_stacker_class', 'FiLoStacker');

// CFG: NODE-ANNOUNCEMENT-ANSWER-STACKER-CLASS
$cfg->setConfigEntry('node_announcement_answer_stacker_class', 'FiLoStacker');

// CFG: NODE-DHT-BOOTSTRAP-STACKER-CLASS
$cfg->setConfigEntry('node_dht_bootstrap_stacker_class', 'FiLoStacker');

// CFG: NODE-DHT-BOOTSTRAP-ANSWER-STACKER-CLASS
$cfg->setConfigEntry('node_dht_bootstrap_answer_stacker_class', 'FiLoStacker');

// CFG: NODE-REQUEST-NODE-LIST-ANSWER-STACKER-CLASS
$cfg->setConfigEntry('node_request_node_list_answer_stacker_class', 'FiLoStacker');

// CFG: NODE-REQUEST-NODE-LIST-ENTRY-STACKER-CLASS
$cfg->setConfigEntry('node_request_node_list_entry_stacker_class', 'FiLoStacker');

// CFG: DHT-STACKER-CLASS
$cfg->setConfigEntry('dht_stacker_class', 'FiLoStacker');

// CFG: RAW-DATA-STACKER-CLASS
$cfg->setConfigEntry('raw_data_stacker_class', 'FiLoStacker');

// CFG: MULTIPLE-MESSAGE-STACKER-CLASS
$cfg->setConfigEntry('multiple_message_stacker_class', 'FiFoStacker');

// CFG: NODE-ANNOUNCEMENT-ANSWER-TEMPLATE-TYPE
$cfg->setConfigEntry('node_announcement_answer_template_type', 'xml/answer/announcement');

// CFG: NODE-DHT-BOOTSTRAP-ANSWER-TEMPLATE-TYPE
$cfg->setConfigEntry('node_dht_bootstrap_answer_template_type', 'xml/answer/dht_bootstrap');

// CFG: NODE-REQUEST-NODE-LIST-ANSWER-TEMPLATE-TYPE
$cfg->setConfigEntry('node_request_node_list_answer_template_type', 'xml/answer/requests');

// CFG: NODE-SELF-CONNECT-TEMPLATE-CLASS
$cfg->setConfigEntry('node_self_connect_template_class', 'XmlSelfConnectTemplateEngine');

// CFG: NODE-SELF-CONNECT-TEMPLATE-TYPE
$cfg->setConfigEntry('node_self_connect_template_type', 'xml/self_connect');

// CFG: NODE-REQUEST-NODE-LIST-TEMPLATE-TYPE
$cfg->setConfigEntry('node_request_node_list_template_type', 'xml/requests');

// CFG: NODE-SELF-CONNECT-STACKER-CLASS
$cfg->setConfigEntry('node_self_connect_stacker_class', 'FiLoStacker');

// CFG: NODE-REQUEST-NODE_LIST-STACKER-CLASS
$cfg->setConfigEntry('node_request_node_list_stacker_class', 'FiLoStacker');

// CFG: NODE-OBJECT-REGISTRY-TEMPLATE-CLASS
$cfg->setConfigEntry('node_object_registry_template_class', 'XmlObjectRegistryTemplateEngine');

// CFG: NODE-OBJECT-REGISTRY-TEMPLATE-EXTENSION
$cfg->setConfigEntry('node_object_registry_template_extension', '.xml');

// CFG: NODE-OBJECT-REGISTRY-TEMPLATE-TYPE
$cfg->setConfigEntry('node_object_registry_template_type', 'xml/object_registry');

// CFG: NODE-OBJECT-REGISTRY-STACKER-CLASS
$cfg->setConfigEntry('node_object_registry_stacker_class', 'FiLoStacker');

// CFG: NODE-OBJECT-TYPE-REGISTRY-CLASS
$cfg->setConfigEntry('node_object_type_registry_class', 'ObjectTypeRegistry');

// CFG: DHT-BOOTSTRAP-TEMPLATE-TYPE
$cfg->setConfigEntry('node_dht_bootstrap_template_type', 'xml/dht_bootstrap');

// CFG: DHT-PUBLISH-TEMPLATE-TYPE
$cfg->setConfigEntry('node_dht_publish_template_type', 'xml/dht_publish');

// CFG: RAW-TEMPLATE-EXTENSION (to speed-up things)
$cfg->setConfigEntry('raw_template_extension', '.xml');

// CFG: PACKAGE-STACKER-CLASS
$cfg->setConfigEntry('network_package_stacker_class', 'FiFoStacker');

// CFG: NODE-RAW-DATA-STACKER-CLASS
$cfg->setConfigEntry('node_raw_data_stacker_class', 'FiFoStacker');

// CFG: CHUNK-HANDLER-STACKER-CLASS
$cfg->setConfigEntry('chunk_handler_stacker_class', 'FiFoStacker');

// CFG: DHT-BOOTSTRAP-STACKER-CLASS
$cfg->setConfigEntry('dht_bootstrap_stacker_class', 'FiFoStacker');

// CFG: DHT-PUBLISH-STACKER-CLASS
$cfg->setConfigEntry('dht_publish_stacker_class', 'FiFoStacker');

// CFG: PRODUCER-OUTGOING-QUEUE
$cfg->setConfigEntry('producer_outgoing_queue', 'FiFoStacker');

// CFG: PRODUCER-INCOMING-QUEUE
$cfg->setConfigEntry('producer_incoming_queue', 'FiFoStacker');

// CFG: STACKER-NODE-ANNOUNCEMENT-MAX-SIZE
$cfg->setConfigEntry('stacker_node_announcement_max_size', 20);

// CFG: STACKER-NODE-ANNOUNCEMENT-ANSWER-MAX-SIZE
$cfg->setConfigEntry('stacker_node_announcement_answer_max_size', 20);

// CFG: STACKER-NODE-DHT-BOOTSTRAP-MAX-SIZE
$cfg->setConfigEntry('stacker_node_dht_bootstrap_max_size', 10);

// CFG: STACKER-NODE-DHT-BOOTSTRAP-ANSWER-MAX-SIZE
$cfg->setConfigEntry('stacker_node_dht_bootstrap_answer_max_size', 20);

// CFG: STACKER-NODE-SELF-CONNECT-MAX-SIZE
$cfg->setConfigEntry('stacker_node_self_connect_max_size', 10);

// CFG: STACKER-NODE-REQUEST-NODE-LIST-MAX_SIZE
$cfg->setConfigEntry('stacker_node_request_node_list_max_size', 10);

// CFG: STACKER-NODE-REQUEST-NODE-LIST-ANSWER-MAX-SIZE
$cfg->setConfigEntry('stacker_node_request_node_list_answer_max_size', 20);

// CFG: STACKER-NODE-REQUEST-NODE-LIST-ENTRY-MAX_SIZE
$cfg->setConfigEntry('stacker_node_request_node_list_entry_max_size', 10);

// CFG: STACKER-UNDECLARED-MAX-SIZE
$cfg->setConfigEntry('stacker_package_undeclared_max_size', 10000);

// CFG: STACKER-PACKAGE-DECLARED-MAX-SIZE
$cfg->setConfigEntry('stacker_package_declared_max_size', 1000);

// CFG: STACKER-PACKAGE-OUTGOING-MAX-SIZE
$cfg->setConfigEntry('stacker_package_outgoing_max_size', 100);

// CFG: STACKER-PACKAGE-DECODED-DATA-MAX-SIZE
$cfg->setConfigEntry('stacker_package_decoded_data_max_size', 200);

// CFG: STACKER-PACKAGE-HANDLED-DECODED-MAX-SIZE
$cfg->setConfigEntry('stacker_package_handled_decoded_max_size', 200);

// CFG: STACKER-PACKAGE-CHUNKED-DECODED-MAX-SIZE
$cfg->setConfigEntry('stacker_package_chunked_decoded_max_size', 800);

// CFG: STACKER-PACKAGE-NEW-MESSAGE-MAX-SIZE
$cfg->setConfigEntry('stacker_package_new_message_max_size', 400);

// CFG: STACKER-PACKAGE-PROCESSED-MESSAGE-MAX-SIZE
$cfg->setConfigEntry('stacker_package_processed_message_max_size', 400);

// CFG: STACKER-PACKAGE-BACKBUFFER-MAX-SIZE
$cfg->setConfigEntry('stacker_package_backbuffer_max_size', 1000);

// CFG: STACKER-NODE-OBJECT-REGISTRY-MAX-SIZE
$cfg->setConfigEntry('stacker_node_object_registry_max_size', 100);

// CFG: STACKER-RAW-DATA-MAX-SIZE
$cfg->setConfigEntry('stacker_raw_data_max_size', 100);

// CFG: STACKER-OUTGOING-STREAM-MAX-SIZE
$cfg->setConfigEntry('stacker_outgoing_stream_max_size', 100);

// CFG: STACKER-FINAL-CHUNKS-MAX-SIZE
$cfg->setConfigEntry('stacker_final_chunks_max_size', 100);

// CFG: STACKER-PENDING-CHUNKS-MAX-SIZE
$cfg->setConfigEntry('stacker_pending_chunks_max_size', 500);

// CFG: STACKER-CHUNK-RAW-DATA-MAX-SIZE
$cfg->setConfigEntry('stacker_chunk_raw_data_max_size', 100);

// CFG: STACKER-DECODED-PACKAGE-MAX-SIZE
$cfg->setConfigEntry('stacker_decoded_package_max_size', 100);

// CFG: STACKER-DHT-BOOTSTRAP-MAX-SIZE
$cfg->setConfigEntry('stacker_dht_bootstrap_max_size', 10);

// CFG: STACKER-DHT-PUBLISH-MAX-SIZE
$cfg->setConfigEntry('stacker_dht_publish_max_size', 10);

// CFG: STACKER-DHT-INSERT-NODE-MAX-SIZE
$cfg->setConfigEntry('stacker_dht_insert_node_max_size', 100);

// CFG: STACKER-DHT-PENDING_PUBLISH-MAX-SIZE
$cfg->setConfigEntry('stacker_dht_pending_publish_max_size', 100);

// CFG: STACKER-MULTIPLE-MESSAGE-MAX-SIZE
$cfg->setConfigEntry('stacker_multiple_message_max_size', 10);

// CFG: NEWS-MAIN-LIMIT
$cfg->setConfigEntry('news_main_limit', 5);

// CFG: TASK-PACKAGE-TAGS-INIT-STARTUP-DELAY
$cfg->setConfigEntry('task_package_tags_init_startup_delay', 50);

// CFG: TASK-PACKAGE-TAGS-INIT-INTERVAL-DELAY
$cfg->setConfigEntry('task_package_tags_init_interval_delay', 1000*60*60*24*7);

// CFG: TASK-PACKAGE-TAGS-INIT-MAX-RUNS
$cfg->setConfigEntry('task_package_tags_init_max_runs', 1);

// CFG: TASK-SELF-CONNECT-STARTUP-DELAY
$cfg->setConfigEntry('task_self_connect_startup_delay', 4000);

// CFG: TASK-SELF-CONNECT-INTERVAL-DELAY
$cfg->setConfigEntry('task_self_connect_interval_delay', 1000*60*30);

// CFG: TASK-SELF-CONNECT-MAX-RUNS
$cfg->setConfigEntry('task_self_connect_max_runs', 0);

// CFG: TASK-ANNOUNCEMENT-STARTUP-DELAY
$cfg->setConfigEntry('task_announcement_startup_delay', 10000);

// CFG: TASK-ANNOUNCEMENT-INTERVAL-DELAY
$cfg->setConfigEntry('task_announcement_interval_delay', 1000);

// CFG: TASK-ANNOUNCEMENT-MAX-RUNS
$cfg->setConfigEntry('task_announcement_max_runs', 1);

// CFG: TASK-UPDATE-CHECK-STARTUP-DELAY
$cfg->setConfigEntry('task_update_check_startup_delay', 1000*60*60*6);

// CFG: TASK-UPDATE-CHECK-INTERVAL-DELAY
$cfg->setConfigEntry('task_update_check_interval_delay', 1000*60*60*24);

// CFG: TASK-UPDATE-CHECK-MAX-RUNS
$cfg->setConfigEntry('task_update_check_max_runs', 0);

// CFG: TASK-PING-STARTUP-DELAY
$cfg->setConfigEntry('task_ping_startup_delay', 1000*60);

// CFG: TASK-PING-INTERVAL-DELAY
$cfg->setConfigEntry('task_ping_interval_delay', 1000*60*60);

// CFG: TASK-PING-MAX-RUNS
$cfg->setConfigEntry('task_ping_max_runs', 0);

// CFG: NODE-PACKAGE-TAGS-INIT-TASK-CLASS
$cfg->setConfigEntry('node_package_tags_init_task_class', 'NodePackageTagsInitTask');

// CFG: NODE-SELFCONNECT-TASK-CLASS
$cfg->setConfigEntry('node_selfconnect_task_class', 'NodeSelfConnectTask');

// CFG: NODE-UPDATE-CHECK-TASK-CLASS
$cfg->setConfigEntry('node_update_check_task_class', 'NodeUpdateCheckTask');

// CFG: NODE-PING-TASK-CLASS
$cfg->setConfigEntry('node_ping_task_class', 'NodePingTask');

// CFG: NODE-ANNOUNCEMENT-TASK-CLASS
$cfg->setConfigEntry('node_announcement_task_class', 'NodeAnnouncementTask');

// CFG: NODE-PACKAGE-WRITER-TASK-CLASS
$cfg->setConfigEntry('node_package_writer_task_class', 'NetworkPackageWriterTask');

// CFG: NODE-PACKAGE-READER-TASK-CLASS
$cfg->setConfigEntry('node_package_reader_task_class', 'NetworkPackageReaderTask');

// CFG: NODE-SOCKET-LISTENER-TASK-CLASS
$cfg->setConfigEntry('node_socket_listener_task_class', 'NodeSocketListenerTask');

// CFG: NODE-CHUNK-ASSEMBLER-TASK-CLASS
$cfg->setConfigEntry('node_chunk_assembler_task_class', 'NodeChunkAssemblerTask');

// CFG: NODE-PACKAGE-DECODER-TASK-CLASS
$cfg->setConfigEntry('node_package_decoder_task_class', 'NodePackageDecoderTask');

// CFG: NODE-DHT-INIT-TASK-CLASS
$cfg->setConfigEntry('node_dht_init_task_class', 'NodeDhtInitializationTask');

// CFG: NODE-DHT-BOOTSTRAP-TASK-CLASS
$cfg->setConfigEntry('node_dht_bootstrap_task_class', 'NodeDhtBootstrapTask');

// CFG: NODE-DHT-LATE-BOOTSTRAP-TASK-CLASS
$cfg->setConfigEntry('node_dht_late_bootstrap_task_class', 'NodeDhtLateBootstrapTask');

// CFG: NODE-DHT-QUERY-TASK-CLASS
$cfg->setConfigEntry('node_dht_query_task_class', 'NodeDhtQueryTask');

// CFG: NODE-DHT-PUBLICATION-CHECK-TASK-CLASS
$cfg->setConfigEntry('node_dht_publication_check_task_class', 'NodeDhtPublicationCheckTask');

// CFG: NODE-DHT-PUBLICATION-TASK-CLASS
$cfg->setConfigEntry('node_dht_publication_task_class', 'NodeDhtPublicationTask');

// CFG: TASK-NETWORK-PACKAGE-WRITER-STARTUP-DELAY
$cfg->setConfigEntry('task_network_package_writer_startup_delay', 2500);

// CFG: TASK-NETWORK-PACKAGE-WRITER-INTERVAL-DELAY
$cfg->setConfigEntry('task_network_package_writer_interval_delay', 10);

// CFG: TASK-NETWORK-PACKAGE-WRITER-MAX-RUNS
$cfg->setConfigEntry('task_network_package_writer_max_runs', 0);

// CFG: TASK-NETWORK-PACKAGE-READER-STARTUP-DELAY
$cfg->setConfigEntry('task_network_package_reader_startup_delay', 2000);

// CFG: TASK-NETWORK-PACKAGE-READER-INTERVAL-DELAY
$cfg->setConfigEntry('task_network_package_reader_interval_delay', 10);

// CFG: TASK-NETWORK-PACKAGE-READER-MAX-RUNS
$cfg->setConfigEntry('task_network_package_reader_max_runs', 0);

// CFG: TASK-SOCKET-LISTENER-STATUP-DELAY
$cfg->setConfigEntry('task_socket_listener_startup_delay', 2500);

// CFG: TASK-SOCKET-LISTENER-INTERVAL-DELAY
$cfg->setConfigEntry('task_socket_listener_interval_delay', 10);

// CFG: TASK-SOCKET-LISTENER-MAX-RUNS
$cfg->setConfigEntry('task_socket_listener_max_runs', 0);

// CFG: TASK-PACKAGE-DECODER-STATUP-DELAY
$cfg->setConfigEntry('task_package_decoder_startup_delay', 1300);

// CFG: TASK-PACKAGE-DECODER-INTERVAL-DELAY
$cfg->setConfigEntry('task_package_decoder_interval_delay', 50);

// CFG: TASK-PACKAGE-DECODER-MAX-RUNS
$cfg->setConfigEntry('task_package_decoder_max_runs', 0);

// CFG: TASK-CHUNK-ASSEMBLER-STATUP-DELAY
$cfg->setConfigEntry('task_chunk_assembler_startup_delay', 1500);

// CFG: TASK-CHUNK-ASSEMBLER-INTERVAL-DELAY
$cfg->setConfigEntry('task_chunk_assembler_interval_delay', 50);

// CFG: TASK-CHUNK-ASSEMBLER-MAX-RUNS
$cfg->setConfigEntry('task_chunk_assembler_max_runs', 0);

// CFG: TASK-DHT-INIT-STATUP-DELAY
$cfg->setConfigEntry('task_dht_init_startup_delay', 200);

// CFG: TASK-DHT-INIT-INTERVAL-DELAY
$cfg->setConfigEntry('task_dht_init_interval_delay', 86400000); // = 1 day (won't matter anyway)

// CFG: TASK-DHT-INIT-MAX-RUNS
$cfg->setConfigEntry('task_dht_init_max_runs', 1);

// CFG: TASK-DHT-BOOTSTRAP-STATUP-DELAY
$cfg->setConfigEntry('task_dht_bootstrap_startup_delay', 500);

// CFG: TASK-DHT-BOOTSTRAP-INTERVAL-DELAY
$cfg->setConfigEntry('task_dht_bootstrap_interval_delay', 3600000); // = 1 hour (won't matter anyway)

// CFG: TASK-DHT-BOOTSTRAP-MAX-RUNS
$cfg->setConfigEntry('task_dht_bootstrap_max_runs', 1);

// CFG: TASK-DHT-LATE-BOOTSTRAP-STATUP-DELAY
$cfg->setConfigEntry('task_dht_late_bootstrap_startup_delay', 100);

// CFG: TASK-DHT-LATE-BOOTSTRAP-INTERVAL-DELAY
$cfg->setConfigEntry('task_dht_late_bootstrap_interval_delay', 3600000); // = 1 hour (won't matter anyway)

// CFG: TASK-DHT-LATE-BOOTSTRAP-MAX-RUNS
$cfg->setConfigEntry('task_dht_late_bootstrap_max_runs', 1);

// CFG: TASK-DHT-QUERY-STATUP-DELAY
$cfg->setConfigEntry('task_dht_query_startup_delay', 1400);

// CFG: TASK-DHT-QUERY-INTERVAL-DELAY
$cfg->setConfigEntry('task_dht_query_interval_delay', 50);

// CFG: TASK-DHT-QUERY-MAX-RUNS
$cfg->setConfigEntry('task_dht_query_max_runs', 0);

// CFG: TASK-DHT-CHECK-PUBLICATION-STATUP-DELAY
$cfg->setConfigEntry('task_dht_check_publication_startup_delay', 10000);

// CFG: TASK-DHT-CHECK-PUBLICATION-INTERVAL-DELAY
$cfg->setConfigEntry('task_dht_check_publication_interval_delay', 1800000); // = 1/2 hour

// CFG: TASK-DHT-CHECK-PUBLICATION-MAX-RUNS
$cfg->setConfigEntry('task_dht_check_publication_max_runs', 0);

// CFG: TASK-DHT-PUBLICATION-STATUP-DELAY
$cfg->setConfigEntry('task_dht_publication_startup_delay', 8000);

// CFG: TASK-DHT-PUBLICATION-INTERVAL-DELAY
$cfg->setConfigEntry('task_dht_publication_interval_delay', 5000);

// CFG: TASK-DHT-PUBLICATION-MAX-RUNS
$cfg->setConfigEntry('task_dht_publication_max_runs', 0);

// CFG: TASK-POOL-ITERATOR-CLASS
$cfg->setConfigEntry('task_pool_iterator_class', 'TaskPoolIterator');

// CFG: MONITOR-POOL-ITERATOR-CLASS
$cfg->setConfigEntry('monitor_pool_iterator_class', 'MonitorPoolIterator');

// CFG: QUERY-ITERATOR-CLASS
$cfg->setConfigEntry('query_iterator_class', 'DefaultIterator');

// CFG: NODE-PING-ITERATOR-CLASS
$cfg->setConfigEntry('node_ping_iterator_class', 'HubPingIterator');

// CFG: WEB-TEMPLATE-CLASS @OVERRIDE
$cfg->setConfigEntry('web_template_class', 'ConsoleTemplateEngine');

// CFG: NETWORK-PACKAGE-CLASS
$cfg->setConfigEntry('network_package_class', 'NetworkPackage');

// CFG: PACKAGE-COMPRESSOR-CLASS
$cfg->setConfigEntry('deco_package_compressor_class', 'NetworkPackageCompressorDecorator');

// CFG: RAW-PACKAGE-COMPRESSOR-CLASS
$cfg->setConfigEntry('raw_package_compressor_class', 'ZlibCompressor');

// CFG: SOCKET-REGISTRY-CLASS
$cfg->setConfigEntry('socket_registry_class', 'SocketRegistry');

// CFG: SOCKET-CONTAINER-CLASS
$cfg->setConfigEntry('socket_container_class', 'SocketContainer');

// CFG: PACKAGE-RECIPIENT-DISCOVERY-CLASS
$cfg->setConfigEntry('package_recipient_discovery_class', 'PackageRecipientDiscovery');

// CFG: SOCKET-DISCOVERY-CLASS
$cfg->setConfigEntry('socket_discovery_class', 'PackageSocketDiscovery');

// CFG: DHT-RECIPIENT-DISCOVERY-CLASS
$cfg->setConfigEntry('dht_recipient_discovery_class', 'DhtRecipientDiscovery');

// CFG: UNL-DISCOVERY-CLASS
$cfg->setConfigEntry('unl_discovery_class', 'UniversalNodeLocatorDiscovery');

// CFG: TCP-PROTOCOL-HANDLER-CLASS
$cfg->setConfigEntry('tcp_protocol_handler_class', 'TcpProtocolHandler');

// CFG: UNIVERSAL-NODE-LOCATOR-CLASS
$cfg->setConfigEntry('universal_node_locator_class', 'UniversalNodeLocator');

// CFG: RECIPIENT-LIST-CLASS
$cfg->setConfigEntry('recipient_list_class', 'RecipientList');

// CFG: PACKAGE-TAGS-CLASS
$cfg->setConfigEntry('package_tags_class', 'PackageTags');

// CFG: TCP-CONNECTION-HELPER-CLASS
$cfg->setConfigEntry('tcp_connection_helper_class', 'TcpConnectionHelper');

// CFG: UDP-CONNECTION-HELPER-CLASS
$cfg->setConfigEntry('udp_connection_helper_class', 'UdpConnectionHelper');

// CFG: HUB-COMMUNICATION-PROTOCOL-TYPE
$cfg->setConfigEntry('hub_communication_protocol_type', 'tcp');

// CFG: TCP-PROTOCOL-RESOLVER-CLASS
$cfg->setConfigEntry('tcp_protocol_resolver_class', 'TcpProtocolResolver');

// CFG: TCP-BUFFER-LENGTH
$cfg->setConfigEntry('tcp_buffer_length', 1024);

// CFG: UDP-BUFFER-LENGTH
$cfg->setConfigEntry('udp_buffer_length', 1024);

// CFG: TCP-CONNECT-RETRY-MAX
$cfg->setConfigEntry('tcp_connect_retry_max', 5);

// CFG: UDP-CONNECT-RETRY-MAX
$cfg->setConfigEntry('udp_connect_retry_max', 5);

// CFG: TCP-SOCKET-ACCEPT-WAIT-SEC
// @TODO This and the next value is very static again
$cfg->setConfigEntry('tcp_socket_accept_wait_sec', 3);

// CFG: TCP-SOCKET-ACCEPT-WAIT-USEC
$cfg->setConfigEntry('tcp_socket_accept_wait_usec', 0);

// CFG: NODE-STATE-CHECKED-PACKAGE-CLASS
$cfg->setConfigEntry('node_state_checked_package_class', 'NewConnectionNodeState');

// CFG: NODE-ID
$cfg->setConfigEntry('node_id', '');

// CFG: SESSION-ID
$cfg->setConfigEntry('session_id', '');

// CFG: PRIVATE-KEY
$cfg->setConfigEntry('private_key', '');

// CFG: PRIVATE-KEY-HASH
$cfg->setConfigEntry('private_key_hash', '');

// CFG: EXTERNAL-ADDRESS
$cfg->setConfigEntry('external_address', '');

// CFG: INTERNAL-ADDRESS
$cfg->setConfigEntry('internal_address', '');

// CFG: ALLOW-PUBLISH-INTERNAL-ADDRESS
$cfg->setConfigEntry('allow_publish_internal_address', 'N');

// CFG: NODE-STATUS
$cfg->setConfigEntry('node_status', 'invalid');

// CFG: PACKAGE-FRAGMENTER-CLASS
$cfg->setConfigEntry('package_fragmenter_class', 'PackageFragmenter');

// CFG: PACKAGE-ASSEMBLER-CLASS
$cfg->setConfigEntry('package_assembler_class', 'PackageAssembler');

// CFG: PACKAGE-CHUNK-SIZE
$cfg->setConfigEntry('package_chunk_size', 256*8);

// CFG: NODE-RAW-DATA-OUTPUT-STREAM-CLASS
$cfg->setConfigEntry('node_raw_data_output_stream_class', 'RawDataOutputStream');

// CFG: NODE-RAW-DATA-INPUT-STREAM-CLASS
$cfg->setConfigEntry('node_raw_data_input_stream_class', 'RawDataInputStream');

// CFG: SOCKET-TIMEOUT-SECONDS
$cfg->setConfigEntry('socket_timeout_seconds', 3);

// CFG: SOCKET-TIMEOUT-MICROSECONDS
$cfg->setConfigEntry('socket_timeout_microseconds', 0);

// CFG: CHUNK-HANDLER-CLASS
$cfg->setConfigEntry('chunk_handler_class', 'ChunkHandler');

// CFG: PACKAGE-DECODER-CLASS
$cfg->setConfigEntry('package_decoder_class', 'PackageDecoder');

// CFG: PACKAGE-RECIPIENT-MAX-COUNT
// @TODO This is very static, rewrite it to more flexible
$cfg->setConfigEntry('package_recipient_max_count', 3);

// CFG: NODE-DHT-CLASS
$cfg->setConfigEntry('node_dht_class', 'NodeDhtFacade');

// CFG: MAX-DHT-RECIPIENTS
$cfg->setConfigEntry('max_dht_recipients', 10);

// CFG: CONNECTION-INFO-CLASS
$cfg->setConfigEntry('connection_info_class', 'ConnectionInfo');

// CFG: DEFAULT-HUB-CONSOLE-CONTROLLER
$cfg->setConfigEntry('default_hub_console_controller', 'main');

///////////////////////////////////////////////////////////////////////////////
//                              Node states
///////////////////////////////////////////////////////////////////////////////

// CFG: NODE-INIT-STATE-CLASS
$cfg->setConfigEntry('node_init_state_class', 'NodeInitState');

// CFG: NODE-VIRGIN-STATE-CLASS
$cfg->setConfigEntry('node_virgin_state_class', 'NodeVirginState');

// CFG: NODE-ACTIVE-STATE-CLASS
$cfg->setConfigEntry('node_active_state_class', 'NodeActiveState');

// CFG: NODE-ANNOUNCING-STATE-CLASS
$cfg->setConfigEntry('node_announcing_state_class', 'NodeAnnouncingState');

// CFG: NODE-REACHABLE-STATE-CLASS
$cfg->setConfigEntry('node_reachable_state_class', 'NodeReachableState');

// CFG: NODE-ANNOUNCEMENT-COMPLETED-STATE-CLASS
$cfg->setConfigEntry('node_announcement_completed_state_class', 'NodeAnnouncementCompletedState');

///////////////////////////////////////////////////////////////////////////////
//                              Peer states
///////////////////////////////////////////////////////////////////////////////

// CFG: PEER-INIT-STATE-CLASS
$cfg->setConfigEntry('peer_init_state_class', 'InitPeerState');

// CFG: PEER-CONNECTED-STATE-CLASS
$cfg->setConfigEntry('peer_connected_state_class', 'ConnectedPeerState');

// CFG: PEER-PROBLEM-STATE-CLASS
$cfg->setConfigEntry('peer_problem_state_class', 'ProblemPeerState');

// CFG: PEER-CONNECTION-REFUSED-STATE-CLASS
$cfg->setConfigEntry('peer_connection_refused_state_class', 'ConnectionRefusedPeerState');

// CFG: PEER-CONNECTION-TIMED-OUT-STATE-CLASS
$cfg->setConfigEntry('peer_connection_timed_out_state_class', 'ConnectionTimedOutPeerState');

// CFG: PEER-TRANSPORT-ENDPOINT-STATE-CLASS
$cfg->setConfigEntry('peer_transport_endpoint_state_class', 'TransportEndpointGonePeerState');

// CFG: PEER-OPERATION-ALREADY-PROGRESS-STATE-CLASS
$cfg->setConfigEntry('peer_operation_already_progress_state_class', 'OperationAlreadyProgressPeerState');

// CFG: PEER-NO-ROUTE-TO-HOST-STATE-CLASS
$cfg->setConfigEntry('peer_no_route_to_host_state_class', 'NoRouteToHostPeerState');

///////////////////////////////////////////////////////////////////////////////
//                               DHT states
///////////////////////////////////////////////////////////////////////////////

// CFG: DHT-INIT-STATE-CLASS
$cfg->setConfigEntry('dht_init_state_class', 'DhtInitState');

// CFG: DHT-VIRGIN-STATE-CLASS
$cfg->setConfigEntry('dht_virgin_state_class', 'DhtVirginState');

// CFG: DHT-BOOTING-STATE-CLASS
$cfg->setConfigEntry('dht_booting_state_class', 'DhtBootingState');

// CFG: DHT-ACTIVE-STATE-CLASS
$cfg->setConfigEntry('dht_active_state_class', 'DhtActiveState');

///////////////////////////////////////////////////////////////////////////////
//                       Message answer-status handler
///////////////////////////////////////////////////////////////////////////////

// CFG: ANNOUNCEMENT-ANSWER-STATUS-OKAY-HANDLER-CLASS
$cfg->setConfigEntry('announcement_answer_status_okay_handler_class', 'AnnouncementAnswerOkayHandler');

// CFG: REQUEST-NODE-LIST-ANSWER-STATUS-OKAY-HANDLER-CLASS
$cfg->setConfigEntry('request_node_list_answer_status_okay_handler_class', 'RequestNodeListAnswerOkayHandler');

///////////////////////////////////////////////////////////////////////////////
//                          Recipient resolver
///////////////////////////////////////////////////////////////////////////////

// CFG: DIRECT-RECIPIENT-CLASS
$cfg->setConfigEntry('direct_recipient_class', 'DirectRecipient');

// CFG: DHT-RECIPIENT-CLASS
$cfg->setConfigEntry('dht_recipient_class', 'DhtRecipient');

// CFG: SELF-RECIPIENT-CLASS
$cfg->setConfigEntry('self_recipient_class', 'SelfRecipient');

// CFG: UPPER-RECIPIENT-CLASS
$cfg->setConfigEntry('upper_recipient_class', 'UpperRecipient');

///////////////////////////////////////////////////////////////////////////////
//                         Miner configuration
///////////////////////////////////////////////////////////////////////////////

// CFG: MINER-DEFAULT-MODE (can be only 'coin' at the moment)
$cfg->setConfigEntry('miner_default_mode', 'coin');

// CFG: MINER-BUFFER-STACKER-CLASS
$cfg->setConfigEntry('miner_buffer_stacker_class', 'FiFoStacker');

// CFG: HUB-CONSOLE-CMD-CRUNCHER-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_miner_resolver_class', 'HubConsoleCommandResolver');

// CFG: MINER-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('miner_php_requirements_filter', 'MinerPhpRequirementsFilter');

// CFG: MINER-INITIALIZER-FILTER
$cfg->setConfigEntry('miner_initializer_filter', 'MinerInitializationFilter');

// CFG: MINER-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('miner_welcome_teaser_filter', 'MinerWelcomeTeaserFilter');

// CFG: MINER-BOOTSTRAP-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('miner_bootstrap_task_handler_initializer_filter', 'MinerTaskHandlerInitializerFilter');

// CFG: CRUNCHER-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('miner_bootstrap_extra_bootstrapping_filter', 'MinerBootstrapExtraBootstrappingFilter');

// CFG: MINHER-BOOTSTRAP-BUFFER-QUEUE-INITIALIZER-FILTER
$cfg->setConfigEntry('miner_bootstrap_buffer_queue_initializer_filter', 'MinerBootstrapBufferQueueInitializerFilter');

// CFG: MINER-BOOTSTRAP-GENERIC-ACTIVATION-FILTER
$cfg->setConfigEntry('miner_bootstrap_generic_activation_filter', 'MinerBootstrapGenericActivationFilter');

// CFG: MINER-SHUTDOWN-FILTER
$cfg->setConfigEntry('miner_shutdown_filter', 'MinerShutdownFilter');

// CFG: MINER-INIT-STATE-CLASS
$cfg->setConfigEntry('miner_init_state_class', 'MinerInitState');

// CFG: MINER-BOOTING-STATE-CLASS
$cfg->setConfigEntry('miner_booting_state_class', 'MinerBootingState');

// CFG: MINER-BLOCK-FETCHER-TASK-CLASS
$cfg->setConfigEntry('miner_block_fetcher_task_class', 'MinerBlockFetcherTask');

// CFG: TASK-MINER-BLOCK-FETCHER-STARTUP-DELAY
$cfg->setConfigEntry('task_miner_block_fetcher_startup_delay', 1000);

// CFG: TASK-MINER-BLOCK-FETCHER-INTERVAL-DELAY
$cfg->setConfigEntry('task_miner_block_fetcher_interval_delay', 1000);

// CFG: TASK--FETCHER-MAX-RUNS
$cfg->setConfigEntry('task_miner_block_fetcher_max_runs', 0);

// CFG: MINER-TEST-GENESIS-BLOCK-PRODUCER-TASK-CLASS
$cfg->setConfigEntry('miner_test_genesis_block_producer_task_class', 'MinerTestGenesisBlockProducerTask');

// CFG: TASK-MINER-TEST-GENESIS-BLOCK-PRODUCER-STARTUP-DELAY
$cfg->setConfigEntry('task_miner_test_genesis_block_producer_startup_delay', 1000);

// CFG: TASK-MINER-TEST-GENESIS-BLOCK-PRODUCER-INTERVAL-DELAY
$cfg->setConfigEntry('task_miner_test_genesis_block_producer_interval_delay', 10000);

// CFG: TASK-MINER-TEST-GENESIC-BLOCK-PRODUCER-MAX-RUNS
$cfg->setConfigEntry('task_miner_test_genesis_block_producer_max_runs', 0);

// CFG: MINER-REAL-GENESIS-BLOCK-PRODUCER-TASK-CLASS
$cfg->setConfigEntry('miner_real_genesis_block_producer_task_class', 'MinerRealGenesisBlockProducerTask');

// CFG: TASK-MINER-REAL-GENESIS-BLOCK-PRODUCER-STARTUP-DELAY
$cfg->setConfigEntry('task_miner_real_genesis_block_producer_startup_delay', 500);

// CFG: TASK-MINER-REAL-GENESIS-BLOCK-PRODUCER-INTERVAL-DELAY
$cfg->setConfigEntry('task_miner_real_genesis_block_producer_interval_delay', 10000);

// CFG: TASK-MINER-REAL-GENESIC-BLOCK-PRODUCER-MAX-RUNS
$cfg->setConfigEntry('task_miner_real_genesis_block_producer_max_runs', 0);

// CFG: MINER_NODE-COMMUNICATOR-TASK-CLASS
$cfg->setConfigEntry('miner_node_communicator_task_class', 'MinerNodeCommunicatorTask');

// CFG: TASK-MINER_NODE-COMMUNICATOR-STARTUP-DELAY
$cfg->setConfigEntry('task_miner_node_communicator_startup_delay', 500);

// CFG: TASK-MINER_NODE-COMMUNICATOR-INTERVAL-DELAY
$cfg->setConfigEntry('task_miner_node_communicator_interval_delay', 250);

// CFG: TASK-MINER_NODE-COMMUNICATOR-MAX-RUNS
$cfg->setConfigEntry('task_miner_node_communicator_max_runs', 0);

// CFG: MINER-TEST-GENESIS-BLOCK-PRODUCER-CLASS
$cfg->setConfigEntry('miner_test_genesis_block_producer_class', 'MinerTestGenesisBlockProducer');

// CFG: MINER-REAL-GENESIS-BLOCK-PRODUCER-CLASS
$cfg->setConfigEntry('miner_real_genesis_block_producer_class', 'MinerRealGenesisBlockProducer');

// CFG: MINER-NODE-COMMUNICATOR-CLASS
$cfg->setConfigEntry('miner_node_communicator_class', 'MinerNodeCommunicator');

// CFG: MINER-TEST-HASH-BLOCK-CLASS
$cfg->setConfigEntry('miner_test_hash_block_class', 'HashBlock');

// CFG: MINER-REAL-HASH-BLOCK-CLASS
$cfg->setConfigEntry('miner_real_hash_block_class', 'HashBlock');

///////////////////////////////////////////////////////////////////////////////
//                        Cruncher configuration
///////////////////////////////////////////////////////////////////////////////

// CFG: CRUNCHER-DEFAULT-MODE (can be only 'mcrypt' at the moment)
$cfg->setConfigEntry('cruncher_default_mode', 'mcrypt');

// CFG: CRUNCHER-BUFFER-STACKER-CLASS
$cfg->setConfigEntry('cruncher_buffer_stacker_class', 'FiFoStacker');

// CFG: HUB-CONSOLE-CMD-CRUNCHER-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_cruncher_resolver_class', 'HubConsoleCommandResolver');

// CFG: CRUNCHER-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('cruncher_php_requirements_filter', 'CruncherPhpRequirementsFilter');

// CFG: CRUNCHER-INITIALIZER-FILTER
$cfg->setConfigEntry('cruncher_initializer_filter', 'CruncherInitializationFilter');

// CFG: CRUNCHER-BOOTSTRAP-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('cruncher_bootstrap_task_handler_initializer_filter', 'CruncherTaskHandlerInitializerFilter');

// CFG: CRUNCHER-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('cruncher_bootstrap_extra_bootstrapping_filter', 'CruncherBootstrapExtraBootstrappingFilter');

// CFG: CRUNCHER-BOOTSTRAP-BUFFER-QUEUE-INITIALIZER-FILTER
$cfg->setConfigEntry('cruncher_bootstrap_buffer_queue_initializer_filter', 'CruncherBootstrapBufferQueueInitializerFilter');

// CFG: CRUNCHER-BOOTSTRAP-GENERIC-ACTIVATION-FILTER
$cfg->setConfigEntry('cruncher_bootstrap_generic_activation_filter', 'CruncherBootstrapGenericActivationFilter');

// CFG: CRUNCHER-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('cruncher_welcome_teaser_filter', 'CruncherWelcomeTeaserFilter');

// CFG: CRUNCHER-SHUTDOWN-FILTER
$cfg->setConfigEntry('cruncher_shutdown_filter', 'CruncherShutdownFilter');

// CFG: CRUNCHER-WORK-UNIT-FETCHER-TASK-CLASS
$cfg->setConfigEntry('cruncher_work_unit_fetcher_task_class', 'CruncherWorkUnitFetcherTask');

// CFG: TASK-CRUNCHER-WORK-UNIT-FETCHER-STARTUP-DELAY
$cfg->setConfigEntry('task_cruncher_work_unit_fetcher_startup_delay', 1000);

// CFG: TASK-CRUNCHER-WORK-UNIT-FETCHER-INTERVAL-DELAY
$cfg->setConfigEntry('task_cruncher_work_unit_fetcher_interval_delay', 10);

// CFG: TASK-CRUNCHER-WORK-UNIT-FETCHER-MAX-RUNS
$cfg->setConfigEntry('task_cruncher_work_unit_fetcher_max_runs', 0);

// CFG: CRUNCHER-TEST-UNIT-PRODUCER-TASK-CLASS
$cfg->setConfigEntry('cruncher_test_unit_producer_task_class', 'CruncherTestUnitProducerTask');

// CFG: TASK-CRUNCHER-TEST-UNIT-PRODUCER-STARTUP-DELAY
$cfg->setConfigEntry('task_cruncher_test_unit_producer_startup_delay', 500);

// CFG: TASK-CRUNCHER-TEST-UNIT-PRODUCER-INTERVAL-DELAY
$cfg->setConfigEntry('task_cruncher_test_unit_producer_interval_delay', 1000*60*60);

// CFG: TASK-CRUNCHER-TEST-UNIT-PRODUCER-MAX-RUNS
$cfg->setConfigEntry('task_cruncher_test_unit_producer_max_runs', 0);

// CFG: CRUNCHER-KEY-PRODUCER-TASK-CLASS
$cfg->setConfigEntry('cruncher_key_producer_task_class', 'CruncherKeyProducerTask');

// CFG: TASK-CRUNCHER-KEY-PRODUCER-STARTUP-DELAY
$cfg->setConfigEntry('task_cruncher_key_producer_startup_delay', 750);

// CFG: TASK-CRUNCHER-KEY-PRODUCER-INTERVAL-DELAY
$cfg->setConfigEntry('task_cruncher_key_producer_interval_delay', 5);

// CFG: TASK-CRUNCHER-KEY-PRODUCER-MAX-RUNS
$cfg->setConfigEntry('task_cruncher_key_producer_max_runs', 0);

// CFG: CRUNCHER-TEST-UNITS-ENABLED
$cfg->setConfigEntry('cruncher_test_units_enabled', 'Y');

// CFG: CRUNCHER-IN-BUFFER-MIN-THRESHOLD
$cfg->setConfigEntry('cruncher_in_buffer_min_threshold', 3);

// CFG: CRUNCHER-TEST-UNIT-GENERATOR-CLASS
$cfg->setConfigEntry('cruncher_test_unit_generator_class', 'CruncherTestUnitHelper');

// CFG: CRUNCHER-MAX-TEST-UNIT-AMOUNT
$cfg->setConfigEntry('cruncher_max_text_unit_amount', 10);

// CFG: CRUNCHER-TEST-UNIT-PRODUCER-CLASS
$cfg->setConfigEntry('cruncher_test_unit_producer_class', 'CruncherTestUnitProducer');

// CFG: CRUNCHER-KEY-PRODUCER-CLASS
$cfg->setConfigEntry('cruncher_key_producer_class', 'CruncherKeyProducer');

// CFG: CRUNCHER-TEST-UNIT-PRODUCER-TEMPLATE-CLASS
$cfg->setConfigEntry('cruncher_test_unit_producer_template_class', 'XmlCruncherTestUnitTemplateEngine');

// CFG: CRUNCHER-MESSAGE-TEMPLATE-EXTENSION
$cfg->setConfigEntry('cruncher_message_template_extension', '.xml');

// CFG: CRUNCHER-TEST-UNIT-TEMPLATE-EXTENSION
$cfg->setConfigEntry('cruncher_test_unit_template_extension', '.xml');

// CFG: CRUNCHER-TEST-UNIT-STACKER-CLASS
$cfg->setConfigEntry('cruncher_test_unit_stacker_class', 'FiLoStacker');

// CFG: CRUNCHER-TEST-UNIT-TEMPLATE-TYPE
$cfg->setConfigEntry('cruncher_test_unit_template_type', 'xml/cruncher/producer');

// CFG: STACKER-CRUNCHER-TEST-UNIT-MAX-SIZE
$cfg->setConfigEntry('stacker_cruncher_test_unit_max_size', 20);

// CFG: STACKER-OUTGOING-QUEUE-MAX-SIZE
$cfg->setConfigEntry('stacker_outgoing_queue_max_size', 2000);

// CFG: CRUNCHER-TEST-UNIT-MAX-COUNT
$cfg->setConfigEntry('cruncher_test_unit_max_count', 1000);

// CFG: CRUNCHER-UNIT-DB-WRAPPER-CLASS
$cfg->setConfigEntry('cruncher_unit_db_wrapper_class', 'CruncherUnitDatabaseWrapper');

// CFG: CRUNCHER-RANDOM-SECRET-MESSAGE-LENGTH
$cfg->setConfigEntry('random_secret_message_length', 100);

// CFG: TEST-UNIT-PRODUCER-KEY-ITERATOR-CLASS
$cfg->setConfigEntry('test_unit_producer_key_iterator_class', 'TestUnitKeyProducerIterator');

// CFG: WORK-UNIT-PRODUCER-KEY-ITERATOR-CLASS
$cfg->setConfigEntry('work_unit_producer_key_iterator_class', 'WorkUnitKeyProducerIterator');

// CFG: TEST-UNIT-RANDOM-SECRET-KEY-LENGTH
$cfg->setConfigEntry('test_unit_random_secret_key_length', 8 * 32);

// CFG: TEST-UNIT-SOURCE-CLASS
$cfg->setConfigEntry('test_unit_source_class', 'TestUnitSource');

// CFG: CRYPTO-RANDOM-MESSAGE-HELPER-CLASS
$cfg->setConfigEntry('crypto_random_message_helper_class', 'CryptoRandomUnitMessageHelper');

// CFG: CRUNCHER-INIT-STATE-CLASS
$cfg->setConfigEntry('cruncher_init_state_class', 'CruncherInitState');

// CFG: CRUNCHER-VIRGIN-STATE-CLASS
$cfg->setConfigEntry('cruncher_virgin_state_class', 'CruncherVirginState');

// CFG: CRUNCHER-PER-UNIT-KEY-LIMIT
$cfg->setConfigEntry('cruncher_per_unit_key_limit', 1000);

///////////////////////////////////////////////////////////////////////////////
//                            Chat Configuration
///////////////////////////////////////////////////////////////////////////////

// CFG: HUB-CONSOLE-CMD-CHAT-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_chat_resolver_class', 'HubConsoleCommandResolver');

// CFG: CHAT-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('chat_php_requirements_filter', 'ChatPhpRequirementsFilter');

// CFG: CHAT-INITIALIZER-FILTER
$cfg->setConfigEntry('chat_initializer_filter', 'ChatInitializationFilter');

// CFG: NODE-CONSOLE-CHAT
$cfg->setConfigEntry('node_console_chat_class', 'NodeConsoleChat');

// CFG: CHAT-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('chat_welcome_teaser_filter', 'ChatWelcomeTeaserFilter');

// CFG: CHAT-BOOTSTRAP-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('chat_bootstrap_task_handler_initializer_filter', 'ChatTaskHandlerInitializerFilter');

// CFG: CHAT-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('chat_bootstrap_extra_bootstrapping_filter', 'ChatBootstrapExtraBootstrappingFilter');

// CFG: CHAT-BOOTSTRAP-GENERIC-ACTIVATION-FILTER
$cfg->setConfigEntry('chat_bootstrap_generic_activation_filter', 'ChatBootstrapGenericActivationFilter');

// CFG: CHAT-SHUTDOWN-FILTER
$cfg->setConfigEntry('chat_shutdown_filter', 'ChatShutdownFilter');

// CFG: CHAT-TELNET-LISTENER-TASK-CLASS
$cfg->setConfigEntry('chat_telnet_listener_task_class', 'ChatTelnetListenerTask');

// CFG: TASK-CHAT-TELNET-LISTENER-STARTUP-DELAY
$cfg->setConfigEntry('task_chat_telnet_listener_startup_delay', 2500);

// CFG: TASK-CHAT-TELNET-LISTENER-INTERVAL-DELAY
$cfg->setConfigEntry('task_chat_telnet_listener_interval_delay', 10);

// CFG: TASK-CHAT-TELNET-LISTENER-MAX-RUNS
$cfg->setConfigEntry('task_chat_telnet_listener_max_runs', 0);

///////////////////////////////////////////////////////////////////////////////
//                            Crawler Configuration
///////////////////////////////////////////////////////////////////////////////

// CFG: BASE-FILE-STACKS-PATH
$cfg->setConfigEntry('base_file_stacks_path', 'data/stacks');

// CFG: FILE-STACKS-EXTENSION
$cfg->setConfigEntry('file_stacks_extension', 'stack');

// CFG: INDEX-EXTENSION
$cfg->setConfigEntry('index_extension', '.idx');

// CFG: HUB-CONSOLE-CMD-CHAT-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_crawler_resolver_class', 'HubConsoleCommandResolver');

// CFG: CRAWLER-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('crawler_php_requirements_filter', 'CrawlerPhpRequirementsFilter');

// CFG: CRAWLER-INITIALIZER-FILTER
$cfg->setConfigEntry('crawler_initializer_filter', 'CrawlerInitializationFilter');

// CFG: NODE-CONSOLE-CRAWLER
$cfg->setConfigEntry('node_console_crawler_class', 'NodeConsoleCrawler');

// CFG: CRAWLER-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('crawler_welcome_teaser_filter', 'CrawlerWelcomeTeaserFilter');

// CFG: CRAWLER-BOOTSTRAP-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('crawler_bootstrap_task_handler_initializer_filter', 'CrawlerTaskHandlerInitializerFilter');

// CFG: CRAWLER-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('crawler_bootstrap_extra_bootstrapping_filter', 'CrawlerBootstrapExtraBootstrappingFilter');

// CFG: CRAWLER-BOOTSTRAP-GENERIC-ACTIVATION-FILTER
$cfg->setConfigEntry('crawler_bootstrap_generic_activation_filter', 'CrawlerBootstrapGenericActivationFilter');

// CFG: CRAWLER-SHUTDOWN-FILTER
$cfg->setConfigEntry('crawler_shutdown_filter', 'CrawlerShutdownFilter');

// CFG: CRAWLER-NODE-COMMUNICATOR-CLASS
$cfg->setConfigEntry('crawler_node_communicator_class', 'CrawlerNodeCommunicator');

// CFG: CRAWLER-INIT-STATE-CLASS
$cfg->setConfigEntry('crawler_init_state_class', 'CrawlerInitState');

// CFG: CRAWLER-BOOTING-STATE-CLASS
$cfg->setConfigEntry('crawler_booting_state_class', 'CrawlerBootingState');

// CFG: COMMUNICATOR-INIT-STATE-CLASS
$cfg->setConfigEntry('communicator_init_state_class', 'CommunicatorInitState');

// CFG: CRAWLER-UPLOADED-LIST-SCANNER
$cfg->setConfigEntry('crawler_uploaded_list_scanner', 'CrawlerUploadedListScanner');

// CFG: CRAWLER-URL-SOURCE-LOCAL-START-CLASS
$cfg->setConfigEntry('crawler_url_source_local_start_class', 'CrawlerLocalStartUrlSource');

// CFG: CRAWLER-URL-SOURCE-UPLOADED-LIST-CLASS
$cfg->setConfigEntry('crawler_url_source_uploaded_list_class', 'CrawlerUploadedListUrlSource');

// CFG: CRAWLER-URL-SOURCE-RSS-START-CLASS
$cfg->setConfigEntry('crawler_url_source_rss_start_class', 'CrawlerRssStartUrlSource');

// CFG: CRAWLER-URL-SOURCE-FOUND-RSS-CLASS
$cfg->setConfigEntry('crawler_url_source_found_rss_class', 'CrawlerFoundRssUrlSource');

// CFG: CRAWLER-URL-STACKS
$cfg->setConfigEntry('crawler_url_stacks', 'local_start:uploaded_list:rss_start:found_rss');

// CFG: CRAWLER-NODE-COMMUNICATOR-TASK-CLASS
$cfg->setConfigEntry('crawler_node_communicator_task_class', 'CrawlerNodeCommunicatorTask');

// CFG: CRAWLER-URL-LOCAL-START-STACK-CLASS
$cfg->setConfigEntry('crawler_url_local_start_stack_class', 'FiFoFileStack');

// CFG: CRAWLER-URL-UPLOADED-LIST-STACK-CLASS
$cfg->setConfigEntry('crawler_url_uploaded_list_stack_class', 'FiFoFileStack');

// CFG: CRAWLER-URL-RSS-START-STACK-CLASS
$cfg->setConfigEntry('crawler_url_rss_start_stack_class', 'FiFoFileStack');

// CFG: CRAWLER-URL-FOUND-RSS-STACK-CLASS
$cfg->setConfigEntry('crawler_url_found_rss_stack_class', 'FiFoFileStack');

// CFG: CRAWLER-URL-LOCAL-START-FILE-STACK-INDEX-CLASS
$cfg->setConfigEntry('crawler_url_local_start_file_stack_index_class', 'FileStackIndex');

// CFG: CRAWLER-URL-UPLOADED-LIST-FILE-STACK-INDEX-CLASS
$cfg->setConfigEntry('crawler_url_uploaded_list_file_stack_index_class', 'FileStackIndex');

// CFG: CRAWLER-URL-RSS-START-FILE-STACK-INDEX-CLASS
$cfg->setConfigEntry('crawler_url_rss_start_file_stack_index_class', 'FileStackIndex');

// CFG: CRAWLER-URL-FOUND-RSS-FILE-STACK-INDEX-CLASS
$cfg->setConfigEntry('crawler_url_found_rss_file_stack_index_class', 'FileStackIndex');

// CFG: CRAWLER-URL-UPLOADED-LIST-URL-SOURCE-STACK-CLASS
$cfg->setConfigEntry('crawler_uploaded_list_url_source_stack_class', 'FiFoStacker');

// CFG: STACKER-CSV-FILE-MAX-SIZE
$cfg->setConfigEntry('stacker_csv_file_max_size', 10);

// CFG: STACKER-CSV-ENTRY-MAX-SIZE
$cfg->setConfigEntry('stacker_csv_entry_max_size', 100);

// CFG: TASK-CRAWLER-NODE-COMMUNICATOR-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_node_communicator_startup_delay', 500);

// CFG: TASK-CRAWLER-NODE-COMMUNICATOR-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_node_communicator_interval_delay', 250);

// CFG: TASK-CRAWLER-NODE-COMMUNICATOR-MAX-RUNS
$cfg->setConfigEntry('task_crawler_node_communicator_max_runs', 0);

// CFG: CRAWLER-LOCAL-URL-CRAWLER-TASK-CLASS
$cfg->setConfigEntry('crawler_local_url_crawler_task_class', 'CrawlerLocalUrlCrawlerTask');

// CFG: TASK-CRAWLER-LOCAL-URL-CRAWLER-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_local_url_crawler_startup_delay', 1500);

// CFG: TASK-CRAWLER-LOCAL-URL-CRAWLER-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_local_url_crawler_interval_delay', 200);

// CFG: TASK-CRAWLER-LOCAL-URL-CRAWLER-MAX-RUNS
$cfg->setConfigEntry('task_crawler_local_url_crawler_max_runs', 0);

// CFG: CRAWLER-REMOTE-URL-CRAWLER-TASK-CLASS
$cfg->setConfigEntry('crawler_remote_url_crawler_task_class', 'CrawlerRemoteUrlCrawlerTask');

// CFG: TASK-CRAWLER-REMOTE-URL-CRAWLER-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_remote_url_crawler_startup_delay', 1500);

// CFG: TASK-CRAWLER-REMOTE-URL-CRAWLER-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_remote_url_crawler_interval_delay', 200);

// CFG: TASK-CRAWLER-REMOTE-URL-CRAWLER-MAX-RUNS
$cfg->setConfigEntry('task_crawler_remote_url_crawler_max_runs', 0);

// CFG: CRAWLER-REMOTE-JOB-PUBLISHER-TASK-CLASS
$cfg->setConfigEntry('crawler_remote_job_publisher_task_class', 'CrawlerRemoteJobPublisherTask');

// CFG: TASK-CRAWLER-REMOTE-JOB-PUBLISHER-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_remote_job_publisher_startup_delay', 2000);

// CFG: TASK-CRAWLER-REMOTE-JOB-PUBLISHER-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_remote_job_publisher_interval_delay', 200);

// CFG: TASK-CRAWLER-REMOTE-JOB-PUBLISHER-MAX-RUNS
$cfg->setConfigEntry('task_crawler_remote_job_publisher_max_runs', 0);

// CFG: CRAWLER-MIME-SNIFFER-TASK-CLASS
$cfg->setConfigEntry('crawler_mime_sniffer_task_class', 'CrawlerMimeSnifferTask');

// CFG: TASK-CRAWLER-MIME-SNIFFER-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_mime_sniffer_startup_delay', 1500);

// CFG: TASK-CRAWLER-MIME-SNIFFER-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_mime_sniffer_interval_delay', 250);

// CFG: TASK-CRAWLER-MIME-SNIFFER-MAX-RUNS
$cfg->setConfigEntry('task_crawler_mime_sniffer_max_runs', 0);

// CFG: CRAWLER-DOCUMENT-PARSER-TASK-CLASS
$cfg->setConfigEntry('crawler_document_parser_task_class', 'CrawlerDocumentParserTask');

// CFG: TASK-CRAWLER-DOCUMENT-PARSER-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_document_parser_startup_delay', 1500);

// CFG: TASK-CRAWLER-DOCUMENT-PARSER-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_document_parser_interval_delay', 250);

// CFG: TASK-CRAWLER-DOCUMENT-PARSER-MAX-RUNS
$cfg->setConfigEntry('task_crawler_document_parser_max_runs', 0);

// CFG: CRAWLER-STRUCTURE-ANALYZER-TASK-CLASS
$cfg->setConfigEntry('crawler_structure_analyzer_task_class', 'CrawlerStructureAnalyzerTask');

// CFG: TASK-CRAWLER-STRUCTURE-ANALYZER-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_structure_analyzer_startup_delay', 1500);

// CFG: TASK-CRAWLER-STRUCTURE-ANALYZER-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_structure_analyzer_interval_delay', 250);

// CFG: TASK-CRAWLER-STRUCTURE-ANALYZER-MAX-RUNS
$cfg->setConfigEntry('task_crawler_structure_analyzer_max_runs', 0);

// CFG: CRAWLER-SNIPPET-EXTRACTOR-TASK-CLASS
$cfg->setConfigEntry('crawler_snippet_extractor_task_class', 'CrawlerSnippetExtractorTask');

// CFG: TASK-CRAWLER-SNIPPET-EXTRACTOR-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_snippet_extractor_startup_delay', 1500);

// CFG: TASK-CRAWLER-SNIPPET-EXTRACTOR-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_snippet_extractor_interval_delay', 250);

// CFG: TASK-CRAWLER-SNIPPET-EXTRACTOR-MAX-RUNS
$cfg->setConfigEntry('task_crawler_snippet_extractor_max_runs', 0);

// CFG: CRAWLER-PING-TASK-CLASS
$cfg->setConfigEntry('crawler_ping_task_class', 'CrawlerPingTask');

// CFG: TASK-CRAWLER-PING-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_ping_startup_delay', 1500);

// CFG: TASK-CRAWLER-PING-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_ping_interval_delay', 250);

// CFG: TASK-CRAWLER-PING-MAX-RUNS
$cfg->setConfigEntry('task_crawler_ping_max_runs', 0);

// CFG: CRAWLER-URL-SOURCE-LOCAL-START-TASK-CLASS
$cfg->setConfigEntry('crawler_url_source_local_start_task_class', 'CrawlerUrlSourceLocalStartTask');

// CFG: TASK-CRAWLER-URL-SOURCE-LOCAL-START-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_url_source_local_start_startup_delay', 3000);

// CFG: TASK-CRAWLER-URL-SOURCE-LOCAL-START-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_url_source_local_start_interval_delay', 150);

// CFG: TASK-CRAWLER-URL-SOURCE-LOCAL-START-MAX-RUNS
$cfg->setConfigEntry('task_crawler_url_source_local_start_max_runs', 0);

// CFG: CRAWLER-URL-SOURCE-UPLOADED-LIST-TASK-CLASS
$cfg->setConfigEntry('crawler_url_source_uploaded_list_task_class', 'CrawlerUrlSourceUploadedListTask');

// CFG: TASK-CRAWLER-URL-SOURCE-UPLOADED-LIST-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_url_source_uploaded_list_startup_delay', 3000);

// CFG: TASK-CRAWLER-URL-SOURCE-UPLOADED-LIST-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_url_source_uploaded_list_interval_delay', 150);

// CFG: TASK-CRAWLER-URL-SOURCE-UPLOADED-LIST-MAX-RUNS
$cfg->setConfigEntry('task_crawler_url_source_uploaded_list_max_runs', 0);

// CFG: CRAWLER-URL-SOURCE-RSS-START-TASK-CLASS
$cfg->setConfigEntry('crawler_url_source_rss_start_task_class', 'CrawlerUrlSourceRssStartTask');

// CFG: TASK-CRAWLER-URL-SOURCE-RSS-START-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_url_source_rss_start_startup_delay', 3000);

// CFG: TASK-CRAWLER-URL-SOURCE-RSS-START-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_url_source_rss_start_interval_delay', 150);

// CFG: TASK-CRAWLER-URL-SOURCE-RSS-START-MAX-RUNS
$cfg->setConfigEntry('task_crawler_url_source_rss_start_max_runs', 0);

// CFG: CRAWLER-URL-SOURCE-FOUND-RSS-TASK-CLASS
$cfg->setConfigEntry('crawler_url_source_found_rss_task_class', 'CrawlerUrlSourceFoundRssTask');

// CFG: TASK-CRAWLER-URL-SOURCE-FOUND-RSS-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_url_source_found_rss_startup_delay', 3000);

// CFG: TASK-CRAWLER-URL-SOURCE-FOUND-RSS-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_url_source_found_rss_interval_delay', 150);

// CFG: TASK-CRAWLER-URL-SOURCE-FOUND-RSS-MAX-RUNS
$cfg->setConfigEntry('task_crawler_url_source_found_rss_max_runs', 0);

// CFG: CRAWLER-URL-SOURCE-FOUND-RSS-TASK-CLASS
$cfg->setConfigEntry('crawler_uploaded_list_scanner_task_class', 'CrawlerUploadedListScannerTask');

// CFG: TASK-CRAWLER-URL-SOURCE-FOUND-RSS-STARTUP-DELAY
$cfg->setConfigEntry('task_crawler_uploaded_list_scanner_startup_delay', 500);

// CFG: TASK-CRAWLER-URL-SOURCE-FOUND-RSS-INTERVAL-DELAY
$cfg->setConfigEntry('task_crawler_uploaded_list_scanner_interval_delay', 1000);

// CFG: TASK-CRAWLER-URL-SOURCE-FOUND-RSS-MAX-RUNS
$cfg->setConfigEntry('task_crawler_uploaded_list_scanner_max_runs', 0);

// CFG: CRAWLER-CSV-FILE-PATH
$cfg->setConfigEntry('crawler_csv_file_path', 'data/url_lists');

// CFG: CRAWLER-URL-LIST-COLUMN-SEPARATOR
$cfg->setConfigEntry('crawler_url_list_column_separator', ',');

///////////////////////////////////////////////////////////////////////////////
//                         Apt-Proxy Configuration
///////////////////////////////////////////////////////////////////////////////

// CFG: HUB-CONSOLE-CMD-APT-PROXY-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_apt_proxy_resolver_class', 'HubConsoleCommandResolver');

// CFG: APT-PROXY-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('apt_proxy_php_requirements_filter', 'AptProxyPhpRequirementsFilter');

// CFG: APT-PROXY-INITIALIZER-FILTER
$cfg->setConfigEntry('apt_proxy_initializer_filter', 'AptProxyInitializationFilter');

// CFG: NODE-CONSOLE-APT-PROXY
$cfg->setConfigEntry('node_console_apt_proxy_class', 'NodeConsoleAptProxy');

// CFG: APT-PROXY-WELCOME-TEASER-FILTER
$cfg->setConfigEntry('apt_proxy_welcome_teaser_filter', 'AptProxyWelcomeTeaserFilter');

// CFG: APT-PROXY-BOOTSTRAP-TASK-HANDLER-INITIALIZER-FILTER
$cfg->setConfigEntry('apt_proxy_bootstrap_task_handler_initializer_filter', 'AptProxyTaskHandlerInitializerFilter');

// CFG: APT-PROXY-BOOTSTRAP-EXTRA-BOOTSTRAPPING-FILTER
$cfg->setConfigEntry('apt_proxy_bootstrap_extra_bootstrapping_filter', 'AptProxyBootstrapExtraBootstrappingFilter');

// CFG: APT-PROXY-BOOTSTRAP-GENERIC-ACTIVATION-FILTER
$cfg->setConfigEntry('apt_proxy_bootstrap_generic_activation_filter', 'AptProxyBootstrapGenericActivationFilter');

// CFG: APT-PROXY-SHUTDOWN-FILTER
$cfg->setConfigEntry('apt_proxy_shutdown_filter', 'AptProxyShutdownFilter');

// CFG: APT-PROXY-LISTENER-TASK-CLASS
$cfg->setConfigEntry('apt_proxy_listener_task_class', 'AptProxyListenerTask');

// CFG: TASK-APT-PROXY-LISTENER-STARTUP-DELAY
$cfg->setConfigEntry('task_apt_proxy_listener_startup_delay', 2500);

// CFG: TASK-APT-PROXY-LISTENER-INTERVAL-DELAY
$cfg->setConfigEntry('task_apt_proxy_listener_interval_delay', 10);

// CFG: TASK-APT-PROXY-LISTENER-MAX-RUNS
$cfg->setConfigEntry('task_apt_proxy_listener_max_runs', 0);

///////////////////////////////////////////////////////////////////////////////
//                              HTML interface                               //
///////////////////////////////////////////////////////////////////////////////

// CFG: DEFAULT-HUB-HTML-COMMAND
$cfg->setConfigEntry('default_hub_html_command', 'index');

// CFG: DEFAULT-HTML-CONTROLLER
$cfg->setConfigEntry('default_html_controller', 'index');

// CFG: HTML-CMD-INDEX-RESOLVER-CLASS
$cfg->setConfigEntry('html_cmd_index_resolver_class', 'HubHtmlCommandResolver');

// CFG: NEWS-READER-INDEX-CLASS
$cfg->setConfigEntry('news_reader_index_class', 'DefaultNewsReader');

// CFG: NEWS-INDEX-LIMIT
$cfg->setConfigEntry('news_index_limit', 10);

// CFG: HUB-INDEX-MENU-CLASS
$cfg->setConfigEntry('hub_index_menu_class', 'HubIndexMenu');

// CFG: HTML-FORM-HELPER
$cfg->setConfigEntry('html_form_helper_class', 'HtmlFormHelper');

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', 'index.php?app={?app_short_name?}&amp;command=do_form');

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', 'post');

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', '_self');

///////////////////////////////////////////////////////////////////////////////
//                           Virtual file system with FUSE                   //
///////////////////////////////////////////////////////////////////////////////

// CFG: HUB-CONSOLE-CMD-FUSE-RESOLVER-CLASS
$cfg->setConfigEntry('hub_console_cmd_fuse_resolver_class', 'ConsoleCommandResolver');

// CFG: ENABLE-FEATURE-FUSE
$cfg->setConfigEntry('enable_feature_fuse', 'N');

// [EOF]
?>
